const config = require('../config')
const pre = config.database.pre
const QueryBuilder = require('node-querybuilder');
const pool = new QueryBuilder(config.settings, 'mysql', 'pool');

  async function get_footer() {
    try {
        let qb = await pool.get_connection();
        let response = await qb.select('*').get(pre+'_footer');
        //console.log("Query Ran: " + qb.last_query());
        qb.release();
        return response[0];
    } catch (err) {
        //console.error(err)
        return "Fail";
    }
  }

module.exports = {
    get_footer
}

/* 

INSTRUCTIONS
===================

1. Query Builder Reference : https://www.npmjs.com/package/node-querybuilder#how-to-install

*/